## Class IDS_Log_File

Description

Implements interfaces:

- IDS_Log_Interface

File logging wrapper

The file wrapper is designed to store data into a flatfile. It implements the singleton pattern.

- author: Lars Strojny <lars@strojny.net>
- author: Christian Matthies <ch0012@gmail.com>
- author: Mario Heiderich <mario.heiderich@gmail.com>
- version: Release: $Id:File.php 517 2007-09-15 15:04:13Z mario $
- copyright: 2007 The PHPIDS Group
- link: http://php-ids.org/
- license: LGPL

Located in /Log/File.php (line 52)

Method Summary
static object getInstance (mixed $config)
void __construct (string $logfile)
mixed execute (IDS_Report $data)
string prepareData (mixed $data)
Methods
static method getInstance (line 110)

Returns an instance of this class

This method allows the passed argument to be either an instance of IDS_Init or a path to a log file. Due to the singleton pattern only one instance for each file can be initiated.

- access: public

static object getInstance (mixed $config)

- mixed $config: IDS_Init or path to a file

Constructor __construct (line 86)

Constructor

- access: protected

void __construct (string $logfile)

- string $logfile: path to the log file

execute (line 184)

Stores given data into a file

- throws: Exception if the logfile isn't writeable
- access: public

mixed execute (IDS_Report $data)

- object $data: IDS_Report

Implementation of:

IDS_Log_Interface::execute()
  Interface method

prepareData (line 146)

Prepares data

Converts given data into a format that can be stored into a file. You might edit this method to your requirements.

- access: protected

string prepareData (mixed $data)

- mixed $data: incoming report data

Documentation generated on Mon, 22 Dec 2008 13:36:44 +0100 by phpDocumentor 1.4.2